ARG DEPENDENCY_IMAGE=dependency:latest
FROM $DEPENDENCY_IMAGE as builder

ARG NODE_ENV
ENV NODE_ENV ${NODE_ENV}

WORKDIR /app/pkgs/mobile
COPY . .

############################

ARG FASTLANE_IMAGE=fastlane.android:latest
FROM guildion/fastlane.android:latest as runner

ARG NODE_ENV
ENV NODE_ENV ${NODE_ENV}

WORKDIR /app
COPY --from=builder /app /app

WORKDIR /app/pkgs/mobile/android

RUN ./gradlew assembleRelease

RUN if [ "${NODE_ENV}" = "staging" ]; then \
  fastlane android internal; \
else \
  fastlane android alpha; \
fi